Subject: Re: gzip: add "--keep" option to keep original files unchanged

From: Krzysztof Żelechowski <[email-masked]>
Date: Thu, 19 Aug 2021 02:29:52 +0200

Dnia czwartek, 19 sierpnia 2021 00:43:26 CEST Rodrigo Campos pisze:
> On 8/17/21 7:43 PM, Krzysztof Żelechowski wrote:
> > Dnia sobota, 9 lutego 2013 16:21:13 CEST Rodrigo Campos pisze:
> >> Hi,
> >> 
> >> Please keep me in Cc: since I'm not subscribed.
> >> 
> >> This path just adds the "--keep" option to keep original files unchanged.
> >> The patch is very simple and I have tried it here (manpage and binary)
> >> and
> >> it seems to work just fine.
> >> 
> >> I tried to respect the coding style (it is a very small patch, so
> >> hopefully
> >> I did) and the commit format. But I wasn't sure how the commit format for
> >> this patch should be. So please let me know which changes should I do.
> > 
> > This patch has the following problem: it still refuses to zip a file with
> > multiple links for no reason (the original file is unaffected).
> 
> Wow, this patch was sent (and applied) ~8 years ago already. Congrats
> for finding the thread :D
> 
> Can you please explain why, if the original file is not affected, this
> patch is related? 

This patch allows the original file to be left unaffected.

> The patch just makes sure the original files are
> unchanged, as the topic says, and that is working as far as I understand.

It is.

> 
> 
> Also, can you please provide specific steps to reproduce?

{ >>a && ln a b && gzip -k b
}

> Best,
> Rodrigo